# Class OfferAvailabilityRequest

#### Hierarchy

- unknown
  - OfferAvailabilityRequest

- Defined in src/protobuf/pb_pb.d.ts:709
- Defined in src/protobuf/pb_pb.d.ts:745

#####
Index

### Constructors

constructor

### Methods

addSupportedCapabilities
clearPubKeyRing
clearSupportedCapabilitiesList
clearTradeRequest
getIsTakerApiUser
getOfferId
getPubKeyRing
getSupportedCapabilitiesList
getTakersTradePrice
getTradeRequest
getUid
hasPubKeyRing
hasTradeRequest
serializeBinary
setIsTakerApiUser
setOfferId
setPubKeyRing
setSupportedCapabilitiesList
setTakersTradePrice
setTradeRequest
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new OfferAvailabilityRequest(): OfferAvailabilityRequest

- #### Returns OfferAvailabilityRequest

  Inherited from jspb.Message.constructor

## Methods

### addSupportedCapabilities

- addSupportedCapabilities(value: number, index?: number): OfferAvailabilityRequest

- #### Parameters

  - ##### value: number

  - ##### `Optional` index: number

  #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:724

### clearPubKeyRing

- clearPubKeyRing(): OfferAvailabilityRequest

- #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:716

### clearSupportedCapabilitiesList

- clearSupportedCapabilitiesList(): OfferAvailabilityRequest

- #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:723

### clearTradeRequest

- clearTradeRequest(): OfferAvailabilityRequest

- #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:735

### getIsTakerApiUser

- getIsTakerApiUser(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:729

### getOfferId

- getOfferId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:710

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- #### Returns undefined | PubKeyRing

  - Defined in src/protobuf/pb_pb.d.ts:713

### getSupportedCapabilitiesList

- getSupportedCapabilitiesList(): number[]

- #### Returns number[]

  - Defined in src/protobuf/pb_pb.d.ts:721

### getTakersTradePrice

- getTakersTradePrice(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:718

### getTradeRequest

- getTradeRequest(): undefined | InitTradeRequest

- #### Returns undefined | InitTradeRequest

  - Defined in src/protobuf/pb_pb.d.ts:732

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:726

### hasPubKeyRing

- hasPubKeyRing(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:715

### hasTradeRequest

- hasTradeRequest(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:734

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:737

### setIsTakerApiUser

- setIsTakerApiUser(value: boolean): OfferAvailabilityRequest

- #### Parameters

  - ##### value: boolean

  #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:730

### setOfferId

- setOfferId(value: string): OfferAvailabilityRequest

- #### Parameters

  - ##### value: string

  #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:711

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing): OfferAvailabilityRequest

- #### Parameters

  - ##### `Optional` value: PubKeyRing

  #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:714

### setSupportedCapabilitiesList

- setSupportedCapabilitiesList(value: number[]): OfferAvailabilityRequest

- #### Parameters

  - ##### value: number[]

  #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:722

### setTakersTradePrice

- setTakersTradePrice(value: number): OfferAvailabilityRequest

- #### Parameters

  - ##### value: number

  #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:719

### setTradeRequest

- setTradeRequest(value?: InitTradeRequest): OfferAvailabilityRequest

- #### Parameters

  - ##### `Optional` value: InitTradeRequest

  #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:733

### setUid

- setUid(value: string): OfferAvailabilityRequest

- #### Parameters

  - ##### value: string

  #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:727

### toObject

- toObject(includeInstance?: boolean): OfferAvailabilityRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns OfferAvailabilityRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:738

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): OfferAvailabilityRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:741

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OfferAvailabilityRequest, reader: BinaryReader): OfferAvailabilityRequest

- #### Parameters

  - ##### message: OfferAvailabilityRequest

  - ##### reader: BinaryReader

  #### Returns OfferAvailabilityRequest

  - Defined in src/protobuf/pb_pb.d.ts:742

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: OfferAvailabilityRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: OfferAvailabilityRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:740

### `Static` toObject

- toObject(includeInstance: boolean, msg: OfferAvailabilityRequest): OfferAvailabilityRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OfferAvailabilityRequest

  #### Returns OfferAvailabilityRequest.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:739

Generated using TypeDoc